put_unaligned
Prev | Atomic and pointer manipulation | Next

## Name

put_unaligned — put value to a possibly mis-aligned location

## Synopsis

`put_unaligned (` |  | val,
|  | ptr`)`;

## Arguments

`val`

  value to place

`ptr`

  pointer to location

## Description

This macro should be used for placing values larger in size than single bytes at locations that are expected to be improperly aligned, e.g. writing a u16 value to a location not u16-aligned.

Note that unaligned accesses can be very expensive on some architectures.

Prev | Up | Next
get_unaligned | Home | Delaying, scheduling, and timer routines